> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Valid Series

> Retrieves valid series information for instruments based on the provided filter criteria. Returns series data including product code, expiry, contract size, trading dates, and settlement information. Allows optional filtering by product codes, symbols, instrument IDs, trading states, activation date, and expiration date.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json post /rest/valid-series
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/valid-series:
    post:
      tags:
        - Instruments
      summary: Get Valid Series
      description: >-
        Retrieves valid series information for instruments based on the provided
        filter criteria. Returns series data including product code, expiry,
        contract size, trading dates, and settlement information. Allows
        optional filtering by product codes, symbols, instrument IDs, trading
        states, activation date, and expiration date.
      operationId: getValidSeries
      parameters: []
      requestBody:
        description: Optional instrument filter criteria, can be omitted
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetInstrumentDetailsRequest'
        required: false
      responses:
        '200':
          description: Successfully retrieved valid series data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ValidSeriesResponse'
        '400':
          description: Bad request - invalid parameters
        '403':
          description: Forbidden - insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    GetInstrumentDetailsRequest:
      type: object
      additionalProperties: false
      properties:
        product_codes:
          type: array
          items:
            type: string
          example:
            - BIP
        symbols:
          type: array
          items:
            type: string
          example:
            - BIPZ30
            - B*
        instrument_ids:
          type: array
          items:
            type: integer
            format: int32
          example:
            - 1234
            - 12345
        trading_states:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentTradingState'
          example:
            - PRE_OPEN
            - EXPIRED
        activation_date:
          type: string
          format: date
          example: '2026-02-12'
        expiration_date:
          type: string
          format: date
          example: '2026-02-12'
    ValidSeriesResponse:
      type: object
      additionalProperties: false
      properties:
        product_code:
          type: string
          example: BIT
        symbol_display_expiry:
          type: string
          example: '20260300'
        contract_size:
          type: number
          format: double
          example: 50.5
        contract_unit:
          type: string
          example: Bitcoin
        security_type:
          type: string
          example: F
        first_trading_date:
          type: string
          example: '20250627'
        last_trading_date:
          type: string
          example: '20260225'
        settlement_date:
          type: string
          example: '20260226'
        available_for24x7:
          type: boolean
          example: true
    InstrumentTradingState:
      type: string
      enum:
        - PRE_OPEN
        - OPEN
        - HALT
        - PAUSE
        - CLOSE
        - PRE_OPEN_NO_CANCEL
        - EXPIRED
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````